summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorErik Mackdanz <stasibear@gentoo.org>2018-10-13 17:36:11 -0500
committerErik Mackdanz <stasibear@gentoo.org>2018-10-13 17:37:55 -0500
commit2e422564a20244f01f7ae40c7a7d28f43216cd31 (patch)
treefb6e1853675efe43f7f2b683dcc3294275cfdb2e
parentdev-python/flake8-import-order: new package (diff)
downloadgentoo-2e422564a20244f01f7ae40c7a7d28f43216cd31.tar.gz
gentoo-2e422564a20244f01f7ae40c7a7d28f43216cd31.tar.bz2
gentoo-2e422564a20244f01f7ae40c7a7d28f43216cd31.zip
sys-fs/lxcfs: Bump to 3.0.2
Signed-off-by: Erik Mackdanz <stasibear@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
-rw-r--r--sys-fs/lxcfs/Manifest1
-rw-r--r--sys-fs/lxcfs/files/lxcfs-3.0.2-fusermount-path.patch15
-rw-r--r--sys-fs/lxcfs/files/lxcfs-3.0.2.initd26
-rw-r--r--sys-fs/lxcfs/lxcfs-3.0.2.ebuild72
4 files changed, 114 insertions, 0 deletions
diff --git a/sys-fs/lxcfs/Manifest b/sys-fs/lxcfs/Manifest
index 7536f41bd56..cc84b00c2c3 100644
--- a/sys-fs/lxcfs/Manifest
+++ b/sys-fs/lxcfs/Manifest
@@ -1,3 +1,4 @@
DIST lxcfs-2.0.4.tar.gz 52639 BLAKE2B 4ef8509b05ac98338003801afeb67a15fcfd1270f90e7b5d1970c4171b9296b77e116f91ec29ec29f3feb0e03c5f2ddf49d014824869aa6cf9897441ebac17a3 SHA512 1c701fbd60799a1f7ad7e809c2e52ef0d26ed44e96c2c0376d3c4eb203aafb99ddcaff015f3fa8cc9c1219449210f6bf93844cc568de3a9f55cb8801328cec90
DIST lxcfs-2.0.6.tar.gz 62632 BLAKE2B 2bc76de0a7e2657b0d73e79260bfaf5a1ba070a4571d81a7c26d3637fc93937c824496119ff32fbfa56b6f97deca4bb145a952862aff148932531c489eea57a9 SHA512 52baf15eb9dc2b694085635f7d8e5c6f1207099173cda607d758b8837a720e4808cacbf83f900a6734d3260d34abafbebdcbb0618cb3cf67c5d304f50d66244d
DIST lxcfs-3.0.0.tar.gz 49219 BLAKE2B c21cd9983e9175bf3a31bafd8a29ddd6a6a549226bd432636dd4ea48bf6268c403f236ca39739a989cd89fa7b0b05043c179ca328fd739f5a9d56e27907a7a60 SHA512 99fe11e99c2e487d6ecd9a8484be6413563ddcb33740631ee6fe1b60d3d2d62cea1bb44d1ef6dc45283f5b3d20cd680d48ea3cb5ad17f0c3e7ba6ed56186c42f
+DIST lxcfs-3.0.2.tar.gz 49809 BLAKE2B dc73149b92ac040c56de5f4c11aafdf6e744ffd2b17e22ee9c784663ff102dedd74453581a77027037955238e081c596377c28b6066012fa32ee575e6a4c57fa SHA512 2065bbd68fd2974fe28c861b1e77c62a501da85e1bfc19eeafa49fd88c66e8e75ae007781c8bd05caf43fb3b80ad12c81c0f0f03d27ab1131e0cfe6d48443218
diff --git a/sys-fs/lxcfs/files/lxcfs-3.0.2-fusermount-path.patch b/sys-fs/lxcfs/files/lxcfs-3.0.2-fusermount-path.patch
new file mode 100644
index 00000000000..99a5addf1d1
--- /dev/null
+++ b/sys-fs/lxcfs/files/lxcfs-3.0.2-fusermount-path.patch
@@ -0,0 +1,15 @@
+--- /config/init/systemd/lxcfs.service.orig 2018-10-13 17:24:46.534035126 -0500
++++ /config/init/systemd/lxcfs.service 2018-10-13 17:25:33.007034294 -0500
+@@ -5,10 +5,10 @@
+ Documentation=man:lxcfs(1)
+
+ [Service]
+-ExecStart=/usr/bin/lxcfs /var/lib/lxcfs/
++ExecStart=/usr/bin/lxcfs -o allow_other,nonempty /var/lib/lxcfs/
+ KillMode=process
+ Restart=on-failure
+-ExecStopPost=-/bin/fusermount -u /var/lib/lxcfs
++ExecStopPost=-/usr/bin/fusermount -u /var/lib/lxcfs
+ Delegate=yes
+
+ [Install]
diff --git a/sys-fs/lxcfs/files/lxcfs-3.0.2.initd b/sys-fs/lxcfs/files/lxcfs-3.0.2.initd
new file mode 100644
index 00000000000..52d8202d7ac
--- /dev/null
+++ b/sys-fs/lxcfs/files/lxcfs-3.0.2.initd
@@ -0,0 +1,26 @@
+#!/sbin/openrc-run
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+DAEMON=/usr/bin/lxcfs
+PIDFILE=/run/lxcfs.pid
+
+start() {
+ ebegin "Starting lxcfs"
+
+ start-stop-daemon --start \
+ --pidfile ${PIDFILE} \
+ --exec ${DAEMON} \
+ --background \
+ --make-pidfile \
+ -- \
+ -o allow_other,nonempty /var/lib/lxcfs
+
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping lxcfs"
+ start-stop-daemon --stop --quiet -R TERM/45 -p ${PIDFILE}
+ eend $?
+}
diff --git a/sys-fs/lxcfs/lxcfs-3.0.2.ebuild b/sys-fs/lxcfs/lxcfs-3.0.2.ebuild
new file mode 100644
index 00000000000..ce923205a59
--- /dev/null
+++ b/sys-fs/lxcfs/lxcfs-3.0.2.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit systemd vcs-snapshot
+DESCRIPTION="FUSE filesystem for LXC"
+HOMEPAGE="https://linuxcontainers.org/lxcfs/introduction/"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ ${PV} == "9999" ]] ; then
+ EGIT_REPO_URI="https://github.com/lxc/lxcfs.git"
+ EGIT_BRANCH="master"
+ inherit git-r3
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="https://github.com/lxc/lxcfs/archive/${P}.tar.gz"
+ KEYWORDS="~amd64"
+fi
+
+# Omit all dbus. Upstream appears to require it because systemd, but
+# lxcfs makes no direct use of dbus.
+RDEPEND="
+ dev-libs/glib:2
+ sys-fs/fuse:0
+"
+DEPEND="
+ sys-apps/help2man
+ ${RDEPEND}
+"
+PATCHES="${FILESDIR}/${P}-fusermount-path.patch"
+
+src_prepare() {
+ default
+ ./bootstrap.sh || die "Failed to bootstrap configure files"
+}
+
+src_configure() {
+ # Without the localstatedir the filesystem isn't mounted correctly
+ econf --localstatedir=/var
+}
+
+# Test suite fails for me
+# src_test() {
+# emake tests
+# tests/main.sh || die "Tests failed"
+# }
+
+src_install() {
+ default
+ keepdir /var/lib/lxcfs
+ newinitd "${FILESDIR}"/${P}.initd lxcfs
+ systemd_dounit config/init/systemd/lxcfs.service
+}
+
+pkg_preinst() {
+ # In an upgrade situation merging /var/lib/lxcfs (an empty dir)
+ # fails because that is a live mountpoint when the service is
+ # running. It's unnecessary anyway so skip the action.
+ [[ -d ${ROOT}/var/lib/lxcfs ]] && rm -rf ${D}/var
+}
+
+pkg_postinst() {
+ einfo
+ einfo "Starting with version 3.0.0 the cgfs PAM module has moved, and"
+ einfo "will eventually be available in app-emulation/lxc. See:"
+ einfo "https://brauner.github.io/2018/02/28/lxc-includes-cgroup-pam-module.html"
+ einfo "for more information."
+ einfo
+}